Skip to main content
POST
/
v1
/
projects
/
{projectId}
/
secret-references
/
{secretReferenceName}
Create a Secret Reference
curl --request POST \
  --url https://eu1.api.matillion.com/dpc/v1/projects/{projectId}/secret-references/{secretReferenceName} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agentId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "agentType": "AWS",
  "secretReferenceType": "PASSWORD",
  "secretName": "aws-secret-name",
  "description": "My secret reference",
  "secretKey": "aws-secret-key"
}
'
{
  "detail": "<string>",
  "instance": "<string>",
  "status": 123,
  "title": "<string>",
  "type": "<string>",
  "violations": [
    "<string>"
  ]
}

Authorizations

Authorization
string
header
required

a valid bearer token

Path Parameters

projectId
string<uuid>
required
secretReferenceName
string
required
Pattern: ^[\w()-]{1,128}$

Body

application/json

Secret Reference request body for creating a new secret reference for an AWS Customer hosted project

agentId
string
required

The UUID of the agent associated with the project the secret reference will be created in

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

agentType
enum<string>
required

The type of agent associated with the project the secret reference will be created in

Available options:
AWS,
Azure,
Matillion hosted
Example:

"AWS"

secretReferenceType
enum<string>
required

The type of secret reference

Available options:
PASSWORD
Example:

"PASSWORD"

secretName
string
required

The name of the secret within the Cloud Provider

Example:

"aws-secret-name"

description
string

The description of the secret reference

Example:

"My secret reference"

secretKey
string

The key of the secret within the Cloud Provider

Example:

"aws-secret-key"

Response

Created